package main

import (
	"encoding/json"
	"os"
)

type store struct {
	LastVersionen map[string]string
}

func getLastData(file string) (store, error) {
	s := store{}
	s.LastVersionen = make(map[string]string)
	
	data, err := os.ReadFile(file)
	if err != nil {
		return s, err
	}

	err = json.Unmarshal(data, &s)
	if err != nil {
		return s, err
	}

	return s, nil
}

func saveLastData(s store, file string) error {
	data, err := json.Marshal(s)
	if err != nil {
		return err
	}

	err = os.WriteFile(file, data, 0644)
	if err != nil {
		return err
	}

	return nil
}
